Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization
Class AbstractPickedState

    java.lang.Object
      edu.uci.ics.jung.visualization.AbstractPickedState

All Implemented Interfaces:
  ItemSelectable, PickedInfo, PickedState

Direct Known Subclasses:
  MultiPickedState

public abstract class AbstractPickedState
extends Object
implements PickedState

An abstract class to support ItemEvents for PickedState

Author:
  Tom Nelson

Field Summary
`protected EventListenerList` | `listenerList`

Constructor Summary
`AbstractPickedState()`

Method Summary
`void` | `addItemListener(ItemListener l)`
`protected void` | `fireItemStateChanged(ItemEvent e)`
`void` | `removeItemListener(ItemListener l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.visualization.PickedState
`addListener, clearPickedEdges, clearPickedVertices, getPickedEdges, getPickedVertices, isPicked, isPicked, pick, pick, removeListener`

Methods inherited from interface java.awt.ItemSelectable
`getSelectedObjects`

Field Detail

### listenerList

    protected EventListenerList listenerList

Constructor Detail

### AbstractPickedState

    public AbstractPickedState()

Method Detail

### addItemListener

    public void addItemListener(ItemListener l)

  Specified by:
    `addItemListener` in interface `ItemSelectable`

### removeItemListener

    public void removeItemListener(ItemListener l)

  Specified by:
    `removeItemListener` in interface `ItemSelectable`

### fireItemStateChanged

    protected void fireItemStateChanged(ItemEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD